package com.gic.udesk.dto.gic;

import java.io.Serializable;
import java.util.Map;

/**
 * gic提交工单所提交的对象
 * @ClassName: GicTicketDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/26 4:11 PM 
 */
public class GicTicketDTO implements Serializable{
    private static final long serialVersionUID = -478265380664580136L;

    /**
     * 1:gic基础服务 2：应用服务
     */
    private Integer businessModuleType;

    /**
     * 标题 必填
     */
    private String subject;
    /**
     * 内容 必填
     */
    private String content;
    /**
     * 状态中文
     */
    private String status;

    /**
     * 自定义字段
     */
    private Map<String, String> ticket_field;

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Map<String, String> getTicket_field() {
        return ticket_field;
    }

    public void setTicket_field(Map<String, String> ticket_field) {
        this.ticket_field = ticket_field;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getBusinessModuleType() {
        return businessModuleType;
    }

    public void setBusinessModuleType(Integer businessModuleType) {
        this.businessModuleType = businessModuleType;
    }
}
